Subject: Re: Re: 2 Photographs/ 1991-1998 from Joanna Pesta
From: Liisa Hawes <[email-masked]>
To: Joanna Pesta <[email-masked]>
Date: Thu, 5 Jun 2025 08:53:54 -0600

Hello Joanna

We are always interested in receiving your emails but, sadly,  we have
never succeeded in opening the pictures.
Please take us off your mailing list.
It is just too disappointing.

www.applelady.ca

On Thu, Jun 5, 2025, 8:44 a.m. Joanna Pesta <[email-masked]> wrote:

>
> Begin forwarded message:
>
>
> From: Joanna Pesta
>
> Wondering whether any of these ring a bell to you. I've added them this
> morning http://www.lkfzi.hxtkofid.com/
>
>
>
> “I never wanted to be famous. I only wanted to be great.” – Ray Charles